features:
  secondary:
    - name: Performance improvements
      available_in: [core, starter, premium, ultimate]
      performance_url: 'https://gitlab.com/dashboard/merge_requests?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=performance&milestone_title=12.8'
      reporter: multiple
      description: |
        We are continuing to make great strides improving the performance of GitLab in every release. [We're committed](/handbook/product/#performance) to not only making individual instances of GitLab even faster, but also to greatly improving the performance of GitLab.com, an instance that has over 1 million users!

        In GitLab 12.8 we are shipping performance improvements for issues, projects, milestones, and a lot more! Some of the improvements in GitLab 12.8 are:

        - [Remove N+1 from user notification settings](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/22845)
        - [Remove Gitaly calls from Todos page](https://gitlab.com/gitlab-org/gitlab/issues/39509)
        - [Add foreign key constraints to Epics table](https://gitlab.com/gitlab-org/gitlab/issues/32326)
        - [Fix blobs search API degradation](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/24607)
        - [Application limit for ES indexed field length](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/24345)
        - [Optimize issue search when sorting by due date and position](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/24217)
        - [Optimize issue search when sorting by weight](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/24208)
